Description

It would be nice to have some more menu options in context menus for items in Layers Panel:

1. For Layer - "Show labels" checkbox. This is a shortcut for "Show labels for this layer" / "No labels" options in Layer Properties tab. 

This way you don't have to open up layer properties to toggle labelling on and off.

2. For Layer and Table - "Deselect all". This acts like a button on an attribute table panel. 

For now, if you have selections in multiple layers, you only can deselect one by opening it's attribute table and pressing Deselect all

button. Sometimes opening attribute table takes time. "Deselect features from All Layers" button clears selections everywhere, so it's not

an option for such cases. Of course one can memorise the "Ctrl + Shift + A" hotkey, but it would be much nicer to have it right in the

context menu.

History

#1 - 2016-08-03 02:25 AM - Saber Razmjooei

- Status changed from Open to Feedback

See this new feature in 2.16:

https://www.qgis.org/en/site/forusers/visualchangelog216/index.html#feature-embedded-widgets-in-layer-tree

You should be able to add your own plugin+widget to do the above tasks.

#2 - 2016-08-03 11:59 AM - Nikolay Lebedev

Well, I'm not that good at writing plugins and widgets for qgis. Why can't that be in the core? These things are so simple, yet useful. This transparency

slider widget is cool, but it integrates right into the legend, and I was just speaking about layer context menu.

#3 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
